//
//  FooAlertView.h
//  GJAlertDemo
//
//  Created by Greg Jaskiewicz on 07/04/2012.
//  Copyright (c) 2012 K4Lab. All rights reserved.
//

#import <UIKit/UIKit.h>

@class FooAlertView;

@protocol FooAlertViewDelegate
@required
- (void)fooAlertView:(FooAlertView *)FooAlertView buttonIndex:(NSUInteger)index;
@end


@interface FooAlertView : UIView

@property BOOL animate;
@property(atomic, retain) id<FooAlertViewDelegate> delegate;
@property CGFloat animationSpeed;


+ (FooAlertView *)fooAlertViewWithTitle:(NSString *)title;
- (id)initWitTitle:(NSString *)title;
- (NSInteger)addButton:(NSString *)caption withColour:(UIColor *)colour;
- (NSString*)buttonCaptionFor:(NSInteger)index;
- (void)show;

@end
