//
//  ViewController.m
//  GJAlertDemo
//
//  Created by Greg Jaskiewicz on 07/04/2012.
//  Copyright (c) 2012 K4Lab. All rights reserved.
//

#import "ViewController.h"
#import "FooAlertView.h"

@interface ViewController ()

@end


@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (void)fooAlertView:(FooAlertView *)FooAlertView buttonIndex:(NSUInteger)index
{
  [UIView beginAnimations:nil context:NULL];
  [UIView setAnimationDuration:0.5];      
  
  switch (index) {
    case 0:
      self.view.backgroundColor = [UIColor redColor];
      break;
      
    case 1:
      self.view.backgroundColor = [UIColor blueColor];
      break;
      
    case 2:
      self.view.backgroundColor = [UIColor greenColor];
      break;
      
    default:
      break;
  }

  [UIView commitAnimations];
}

-(IBAction)showAlert
{
  FooAlertView* foo = [FooAlertView fooAlertViewWithTitle:@"To Foo With This !!!"];

  [foo setDelegate:self];
  //foo.animate = false;
  foo.animationSpeed = 2;
  
  [foo addButton:@"le button one" withColour:[UIColor redColor]];
  [foo addButton:@"le button two" withColour:[UIColor blueColor]];
  [foo addButton:@"le button three" withColour:[UIColor greenColor]];
  
  [foo show];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
  return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

@end
